{
	"format_version": "1.21.60",
	"minecraft:block": {
		"description": {
			"identifier": "scpcf:desk_lamp",
			"states": {
				"scpclassified:activatefunction": [
					false,
					true
				]
			},
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:cardinal_direction"
					],
					"y_rotation_offset": 180
				}
			}
		},
		"components": {
			"minecraft:custom_components": [
				"scpclassified:activatefunctionality"
			],
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 4
			},
			"minecraft:destructible_by_explosion": {
				"explosion_resistance": 0
			},
			"minecraft:collision_box": {
				"origin": [
					-4,
					0,
					-4
				],
				"size": [
					8,
					16,
					8
				]
			},
			"minecraft:selection_box": {
				"origin": [
					-4,
					0,
					-4
				],
				"size": [
					8,
					16,
					8
				]
			},
			"minecraft:geometry": {
				"identifier": "geometry.scpclassifieddesklamp"
			},
			"minecraft:map_color": "#b4b5b8",
			"minecraft:liquid_detection": {
				"detection_rules": [
					{
						"can_contain_liquid": true
					}
				]
			},
			"minecraft:light_dampening": 0
		},
		"permutations": [
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'north'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'south'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							180,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'east'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							-90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'west'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			},
			{
				"condition": "query.block_state('scpclassified:activatefunction') == true",
				"components": {
					"minecraft:material_instances": {
						"*": {
							"texture": "scpclassifiedIdesklamptexture",
							"render_method": "alpha_test"
						}
					},
					"minecraft:light_emission": 8
				}
			},
			{
				"condition": "query.block_state('scpclassified:activatefunction') == false",
				"components": {
					"minecraft:material_instances": {
						"*": {
							"texture": "scpclassifiedIdesklamptetextureoff",
							"render_method": "alpha_test"
						}
					}
				}
			}
		]
	}
}